]> sipb.mit.edu Git - ikiwiki.git/commitdiff
openid: also use Net::INET6Glue if available
authorJoey Hess <joey@kitenet.net>
Mon, 9 May 2011 22:15:35 +0000 (18:15 -0400)
committerJoey Hess <joey@kitenet.net>
Mon, 9 May 2011 22:15:35 +0000 (18:15 -0400)
IkiWiki/Plugin/openid.pm
debian/changelog

index bd67384f21a91477239df3c48c598cf837ea09b6..bd2cfdc440f1ff68db5e5ddec7c874d3504edf49 100644 (file)
@@ -229,6 +229,7 @@ sub getobj ($$) {
        my $q=shift;
        my $session=shift;
 
+       eval q{use Net::INET6Glue::INET_is_INET6}; # may not be available
        eval q{use Net::OpenID::Consumer};
        error($@) if $@;
 
index 723882b40aaad2cc4a0b347604da38cdbe1ec19d..9765d5a3e960daa8ae1c9acfa33f5816a6d6a460 100644 (file)
@@ -6,8 +6,9 @@ ikiwiki (3.20110431) UNRELEASED; urgency=low
   * Add conflict with libyaml-libyaml-perl, since that library does
     not support utf8. Closes: #625713
     (see https://rt.cpan.org/Public/Bug/Display.html?id=54683)
-  * aggregate, pinger: Use Net::INET6Glue if available to
-    support making ipv6 connections.
+  * openid, aggregate, pinger: Use Net::INET6Glue if available to
+    support making ipv6 connections. (Note that if LWPx::ParanoidAgent
+    is installed, it defeats this for openid.)
 
  -- Joey Hess <joeyh@debian.org>  Thu, 05 May 2011 13:02:19 -0400